%global common_description %{expand:
A set of Python bindings to the GSSAPI C library providing both a high-level
pythonic interfaces and a low-level interfaces which more closely matches RFC 2743.
Includes support for RFC 2743, as well as multiple extensions.}

Summary:        Python Bindings for GSSAPI (RFC 2743/2744 and extensions)
Name:           python-gssapi
Version:        1.8.3
Release:        3%{?dist}
License:        ISC
URL:            https://github.com/pythongssapi/python-gssapi
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  krb5-devel gcc python3-devel python3-Cython git-core

%description
%common_description

%package -n python3-gssapi
Summary:        Python 3 Bindings for GSSAPI (RFC 2743/2744 and extensions)
Requires:       krb5-libs

%description -n python3-gssapi
 %common_description

%prep
%autosetup -n %{name}-%{version} -Sgit

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gssapi

%check

%files -n python3-gssapi -f %{pyproject_files}
%doc README.txt

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.3-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.3-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 1.8.3-1
- update to 1.8.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 1.7.3-1
- initial build
